## contextkit 0.5.42~unreleased%2bfremantle0

=== libcontextprovider/customer-tests/coverage-build/Makefile ===
# The basic idea is that you are using CCache for compiling, so we are
# happily cleaning your original build, because it can be rebuilt in 2
# seconds, but coverage build is slow, so we only build coverage for
# customer tests, not always.

# If you want to build a libcontextprovider with coverage support,
# you have to run make in this directory, the output is in
# .libs/libcontextprovider.so.0.0.0

all: clean-orig Makefile.coverage
	$(MAKE) -C ../../../common   # redo it now, so it won't be rebuilt with coverage
	$(MAKE) -f Makefile.coverage VPATH=../../src CXXFLAGS=--coverage

Makefile.coverage: ../../src/Makefile clean-orig
	cat $< | sed 's,^srcdir =.*,srcdir = ../../src, ; s,^top_builddir =.*,top_builddir = ../../.., ; s,^top_srcdir =.*,top_srcdir = ../../..,' >$@
	rm -rf .deps
	cp -av ../../src/.deps .

clean: clean-orig
	-$(MAKE) -f Makefile.coverage clean
	rm -f *.gcno
	rm -rf .deps
	rm -rf .libs
	rm -f Makefile.coverage

clean-orig:
	$(MAKE) -C ../../src clean

.PHONY: all clean clean-orig

=== libcontextsubscriber/customer-tests/coverage-build/Makefile ===
# The basic idea is that you are using CCache for compiling, so we are
# happily cleaning your original build, because it can be rebuilt in 2
# seconds, but coverage build is slow, so we only build coverage for
# customer tests, not always.

# If you want to build a libcontextsubscriber with coverage support,
# you have to run make in this directory, the output is in
# .libs/libcontextsubscriber.so.0.0.0

all: clean-orig Makefile.coverage
	$(MAKE) -C ../../../common   # redo it now, so it won't be rebuilt with coverage
	$(MAKE) -f Makefile.coverage VPATH=../../src CXXFLAGS=--coverage

Makefile.coverage: ../../src/Makefile clean-orig
	cat $< | sed 's,^srcdir =.*,srcdir = ../../src, ; s,^top_builddir =.*,top_builddir = ../../.., ; s,^top_srcdir =.*,top_srcdir = ../../..,' >$@
	rm -rf .deps
	cp -av ../../src/.deps .

clean: clean-orig
	-$(MAKE) -f Makefile.coverage clean
	rm -f *.gcno
	rm -rf .deps
	rm -rf .libs
	rm -f Makefile.coverage

clean-orig:
	$(MAKE) -C ../../src clean

.PHONY: all clean clean-orig

=== debian/changelog ===
contextkit (0.5.42~unreleased+fremantle0) unstable; urgency=low

  * Initial backport approach

 -- Marcin Mielniczuk <marmistrz@linux.pl>  Tue, 19 Feb 2013 13:24:02 +0100

contextkit (0.5.42~unreleased) unstable; urgency=low

  *

 -- James Thomas <james.thomas@codethink.co.uk>  Mon, 12 Nov 2011 10:39:00 +0000

contextkit (0.5.41) unstable; urgency=low

  * Fixes: NB#269830 - contextkit public api documentation points to internal links

 -- James Thomas <james.thomas@codethink.co.uk>  Mon, 12 Nov 2011 09:41:00 +0000

contextkit (0.5.40) unstable; urgency=low

  * Fixes: NB#263861, Status area should show indication of presence going to online
  * Modified Presence.State enum: added "connecting"

 -- James Thomas <james.thomas@codethink.co.uk>  Wed, 14 Sep 2011 11:55:00 +0300

contextkit (0.5.39) unstable; urgency=low

  * Fixes: NB#275018 - add Cellular.ServiceStatus to core.context 

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Thu, 04 Aug 2011 13:59:18 +0300

contextkit (0.5.38) unstable; urgency=low

  * Fixes: NB#249829, COREWEB: applications crashing for 'InfoCdbBackend::~InfoCdbBackend'

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Wed, 25 May 2011 12:44:06 +0300

contextkit (0.5.37) unstable; urgency=low

  * Fixes: NB#251998, Deprecation warnings from libcontextsubscriber on console
  * Fixes: NB#251381, Added QDBusPendingWatcher to handle QDBusPendingCall deletion
 
 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Thu, 05 May 2011 11:31:38 +0300

contextkit (0.5.36) unstable; urgency=low

  * Fixes: NB#242089
  * Fix: waitForSubscription did nothing when re-subscribing to a property.

 -- Marja Hölttä <marja.holtta@nokia.com>  Wed, 13 Apr 2011 10:24:41 +0300

contextkit (0.5.35) unstable; urgency=low

  * Fixes: NB#239586
  * Unsubscribed ContextProperty objects are allowed to change their values and emit
  valueChanged, if they can get an up-to-date value for free.

 -- Marja Hölttä <marja.holtta@nokia.com>  Wed, 06 Apr 2011 12:49:35 +0300

contextkit (0.5.34) unstable; urgency=low

  * Fixes: NB#205806 - Faulty License

 -- Marja Hölttä <marja.holtta@nokia.com>  Thu, 03 Mar 2011 11:35:04 +0200

contextkit (0.5.33) unstable; urgency=low

  * Fixes: NB#232009
  * Fixes: NB#205806 - Faulty License

 -- Marja Hölttä <marja.holtta@nokia.com>  Thu, 03 Mar 2011 09:32:53 +0200

contextkit (0.5.32) unstable; urgency=low
  
  * Added following core properties: Cellular.ExtendedNetworkName, Cellular.CellNameDisplayEnabled,
    Cellular.GSMBand
    Modified Presence.State enum: "away" is replaced with "busy"

  * Fixes: NB#228811 - contextkit fails to build with gcc-4.5

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Tue, 01 Mar 2011 17:05:26 +0200

contextkit (0.5.31) unstable; urgency=low

  * Added patch for two Cellular properties

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Tue, 15 Feb 2011 11:52:19 +0200

contextkit (0.5.30) unstable; urgency=low

  * Only output strace log when update-context-providers actually fails.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 09 Feb 2011 09:06:57 +0200

contextkit (0.5.29) unstable; urgency=low

  * Add voluptous debugging output to libcontextsubscriber postinst.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 09 Feb 2011 09:06:13 +0200

contextkit (0.5.28) unstable; urgency=low

  * Fixes: NB#220022

 -- Marja Hassinen <marja.hassinen@nokia.com>  Tue, 01 Feb 2011 15:02:45 +0200

contextkit (0.5.27) unstable; urgency=low

  * Fixes: NB#223259

 -- Marja Hassinen <marja.hassinen@nokia.com>  Mon, 31 Jan 2011 14:56:43 +0200

contextkit (0.5.26) unstable; urgency=low

  * Fixes: NB#221751

 -- Marja Hassinen <marja.hassinen@nokia.com>  Wed, 26 Jan 2011 14:30:33 +0200

contextkit (0.5.25) unstable; urgency=low

  * Fixes: NB#213302 - [TASK] Request for truely blocking version of
    ContextProperty::waitForSubscription
  * lcs: Getting rid of the "cannot emit certain signals inside plugin's
    subscribe()"
  * API addition: ContextProperty::waitForSubscriptionAndBlock

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Wed, 05 Jan 2011 15:30:20 +0200

contextkit (0.5.24) unstable; urgency=low

  * Fixes: NB#205697
  * Fixes: NB#207875

 -- Marja Hassinen <marja.hassinen@nokia.com>  Wed, 08 Dec 2010 12:22:50 +0200

contextkit (0.5.23) unstable; urgency=low

  * Fixes: NB#200290

 -- Marja Hassinen <marja.hassinen@nokia.com>  Wed, 10 Nov 2010 11:53:00 +0200

contextkit (0.5.22) unstable; urgency=low

  * Add Position.IsFlat of type boolean

 -- Marja Hassinen <marja.hassinen@nokia.com>  Mon, 08 Nov 2010 15:48:26 +0200

contextkit (0.5.21) unstable; urgency=low

  * Commanding is only allowed if the env var CONTEXT_COMMANDING is set.
  * Fixes: NB#194538
  * 0.5.20 is skipped because this release merges 2 separate release branches

 -- Marja Hassinen <marja.hassinen@nokia.com>  Mon, 08 Nov 2010 09:53:06 +0200

contextkit (0.5.19.2) unstable; urgency=low

  * Fixes: NB#200325 -  Creating ContextProperty object causes unnecessary wakeups
  * New core property: System.OfflineMode

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Tue, 02 Nov 2010 19:20:14 +0200

contextkit (0.5.19.1) unstable; urgency=low

  * Fixes: NB#198630

 -- Marja Hassinen <marja.hassinen@nokia.com>  Mon, 18 Oct 2010 11:13:28 +0300

contextkit (0.5.19) unstable; urgency=low

  * Fix: if plugin loading failed, waitForSubscription hanged.
  * Fixes: NB# 192678

 -- Marja Hassinen <marja.hassinen@nokia.com>  Mon, 20 Sep 2010 17:43:14 +0300

contextkit (0.5.18) unstable; urgency=low

  * Fixes: NB#190684 - <MemLeak> Memory leaks observed in ContextKitPlugin of
    libcontextsubscriber

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Mon, 13 Sep 2010 16:55:10 +0300

contextkit (0.5.17) unstable; urgency=low

  * debian: API file fixed typo
  * Cellular.PacketData property added
  * Presence.State enumeration modified

 -- Jean-Luc Lamadon <jean-luc.lamadon@nokia.com>  Mon, 23 Aug 2010 13:46:11 +0300

contextkit (0.5.16) unstable; urgency=low


=== debian/control ===
Source: contextkit
Section: misc
Priority: optional
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: James Thomas <james.thomas@codethink.co.uk>
Build-Depends: debhelper (>= 5),
               automake1.11 (>= 1:1.11),
               autoconf2.67 (>= 2.63),
               python,
               python-central,
               libqt4-dev,
               libcdb-dev,
               libglib2.0-dev (>= 2.12.0),
               libdbus-1-dev,
               libqjson-dev,
               xsltproc (>= 1.1.19-1~),
               doxygen,
               pkg-config,
               libtool242 (>= 2.2.6),
               grep,
               asciidoc,
               libxml2-utils (>= 2.6),
               libxml-dom-perl
XS-Python-Version: all
Standards-Version: 3.8.0

Package: contextkit-doc
Section: doc
Architecture: armel
Recommends: libcontextsubscriber-doc, libcontextprovider-doc
Description: A framework for collecting contextual information
 ContextKit is a system for providing real-time context awareness to
 applications.
 .
 This package contains the documentation.

Package: libcontextprovider0
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libduivaluespace0 (<< 0.9)
Description: Helper library for providers of context properties
 The libcontextprovider library implements the provider side of the
 org.freedesktop.ContextKit D-Bus interface.

Package: libcontextprovider0-dbg
Priority: extra
Architecture: armel
Depends: libcontextprovider0 (= ${binary:Version})
Description: Helper library for providers of context properties
 The libcontextprovider library implements the provider side of the
 org.freedesktop.ContextKit D-Bus interface.
 .
 This package contains the debug symbols.

Package: libcontextprovider-dev
Section: libdevel
Architecture: armel
Depends: libcontextprovider0 (= ${binary:Version}), libdbus-1-dev, libqt4-dev
Description: Helper library for providers of context properties
 The libcontextprovider library implements the provider side of the
 org.freedesktop.ContextKit D-Bus interface.
 .
 This package contains the development files.

Package: libcontextprovider-doc
Section: doc
Architecture: armel
Description: Helper library for providers of context properties
 The libcontextprovider library implements the provider side of the
 org.freedesktop.ContextKit D-Bus interface.
 .
 This package contains the documentation.

Package: libcontextprovider-tests
Section: devel
Architecture: armel
Depends: libcontextprovider0, contextkit-utils, python-contextkit, ${shlibs:Depends}, python2.5
XB-Maemo-CI-Packages: libcontextprovider0
XB-Maemo-CI-Stage: staging, acceptance
Description: libcontextprovider automated customer tests
 The libcontextprovider library implements the provider side of the
 org.freedesktop.ContextKit D-Bus interface.
 .
 This package contains an automated customer testsuite of the
 libcontextprovider library.

Package: python-contextkit
Section: python
Architecture: armel
Provides: ${python:Provides}
Depends: ${python:Depends}, python-gobject, libcontextprovider0
XB-Python-Version: ${python:Versions}
Description: Python bindings for ContextKit APIs
 This package contains Python bindings for the libcontextprovider
 C interface, which helps you writing providers in Python.
 .
 In the future it will contain the Python bindings for
 libcontextsubscriber too, but it is not ready yet.
 .
 If you are interested in some quick test tools for the ContextKit,
 please look into the package named contextkit-utils.

Package: contextkit-utils
Section: utils
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line utilities for ContextKit
 This package contains the context-provide and context-listen
 tools. You can use context-provide to quickly provide context
 properties from the command line, while with context-listen you can
 watch properties for changes.

Package: libcontextsubscriber0
Architecture: armel
Conflicts: libcontextprovider0 (<< 0.1.9)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Helper library for subscribers of context properties
 The libcontextsubscriber library implements the subscriber side of the
 org.freedesktop.ContextKit D-Bus interface.

Package: libcontextsubscriber0-dbg
Priority: extra
Architecture: armel
Depends: libcontextsubscriber0 (= ${binary:Version})
Description: Helper library for subscribers of context properties
 The libcontextsubscriber library implements the subscribers side of the
 org.freedesktop.ContextKit D-Bus interface.
 .
 This package contains the debug symbols.

Package: libcontextsubscriber-dev
Section: libdevel
Suggests: libqjson-dev
Architecture: armel
Depends: libcontextsubscriber0 (= ${binary:Version}), libqt4-dev
Description: Helper library for subscribers of context properties
 The libcontextsubscriber library implements the subscriber side of the
 org.freedesktop.ContextKit D-Bus interface.
 .
 This package contains the development files.

Package: libcontextsubscriber-doc
Section: doc
Architecture: armel
Description: Helper library for subscribers of context properties
 The libcontextsubscriber library implements the subscriber side of the
 org.freedesktop.ContextKit D-Bus interface.
 .
 This package contains the documentation.

Package: libcontextsubscriber-tests
Section: devel
Architecture: armel
Depends: libcontextprovider0, libcontextsubscriber0, contextkit-utils, python-contextkit, ${shlibs:Depends}, python2.5, tinycdb
XB-Maemo-CI-Packages: libcontextsubscriber0, libcontextprovider0
XB-Maemo-CI-Stage: staging, acceptance
Description: libcontextsubscriber automated customer tests
 The libcontextsubscriber library implements the subscriber side of the
 org.freedesktop.ContextKit D-Bus interface.
 .
 This package contains an automated customer testsuite of the
 libcontextsubscriber library.

Package: propertymonitor-tests
Section: devel
Architecture: armel
Depends: contextkit-utils, python2.5, python-contextkit
XB-Maemo-CI-Stage: staging, validation
Description: Property monitor
 This package contains an automated test suite for monitoring which Context FW properties are provided.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-mode -*-

#export DH_VERBOSE=1

# Sanitize build environment when running inside Scratchbox 1
ifneq (,$(wildcard /targets))
	export SBOX_REDIRECT_IGNORE=/usr/bin/automake:/usr/bin/autoreconf:/usr/bin/aclocal:/usr/bin/autoconf:/usr/bin/autom4te:/usr/bin/m4:/usr/bin/libtoolize:/usr/bin/autoreconf
	export AUTOMAKE=/usr/bin/automake
	export ACLOCAL=/usr/bin/aclocal
	export AUTOCONF=/usr/bin/autoconf
	export AUTORECONF=/usr/bin/autoreconf
	export LIBTOOLIZE=/usr/bin/libtoolize
endif

LDFLAGS+=-Wl,--as-needed

configure:
	./autogen.sh --no-configure

Makefile: configure
	./configure --prefix /usr --sysconfdir=/etc --disable-coverage

build: build-stamp
build-stamp: Makefile
	dh_testdir
	$(MAKE) LDFLAGS='$(LDFLAGS)' all
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ -f Makefile ] && $(MAKE) distclean || true
	rm -f configure Makefile
	dh_clean

install:
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=`pwd`/debian/tmp/ install

	mkdir -p `pwd`/debian/tmp/usr/share/doc/libcontextprovider-doc
	rm -rf `pwd`/debian/tmp/usr/share/doc/libcontextprovider-doc/html
	mkdir -p `pwd`/debian/tmp/usr/share/doc/libcontextprovider-doc/html
	echo "No documentation in this release" > `pwd`/debian/tmp/usr/share/doc/libcontextprovider-doc/html/README
	cp -a libcontextprovider/doc/html `pwd`/debian/tmp/usr/share/doc/libcontextprovider-doc

	# install testsets under /usr/share
	mkdir -p debian/tmp/usr/share

	cp -f libcontextsubscriber/customer-tests/waitforsilence \
		debian/tmp/usr/share/libcontextsubscriber-tests
	cp -f libcontextsubscriber/customer-tests/waitforsilence \
		debian/tmp/usr/share/libcontextprovider-tests
	cp -rf libcontextsubscriber/customer-tests/commander debian/tmp/usr/share/libcontextsubscriber-tests/
	cp -rf libcontextsubscriber/customer-tests/asynchronicity debian/tmp/usr/share/libcontextsubscriber-tests/
	cp -rf libcontextsubscriber/customer-tests/subscription debian/tmp/usr/share/libcontextsubscriber-tests/
	cp -rf libcontextsubscriber/customer-tests/registry debian/tmp/usr/share/libcontextsubscriber-tests/
	cp -rf libcontextsubscriber/customer-tests/pluginchanging debian/tmp/usr/share/libcontextsubscriber-tests/
	cp -rf libcontextprovider/customer-tests/multiprovider debian/tmp/usr/share/libcontextprovider-tests/
	mkdir -p debian/tmp/usr/share/libcontextprovider-tests/types/
	cp libcontextprovider/customer-tests/types/types.py debian/tmp/usr/share/libcontextprovider-tests/types/
	mkdir -p debian/tmp/usr/share/libcontextsubscriber-tests/update-contextkit-providers
	cp -rf  libcontextsubscriber/customer-tests/update-contextkit-providers/Battery.Charging_KEYDOC.expected \
		libcontextsubscriber/customer-tests/update-contextkit-providers/Battery.Charging_PROVIDERS.expected \
		libcontextsubscriber/customer-tests/update-contextkit-providers/KEYS.expected \
		libcontextsubscriber/customer-tests/update-contextkit-providers/providers1.context \
		libcontextsubscriber/customer-tests/update-contextkit-providers/providers2.context \
		libcontextsubscriber/customer-tests/update-contextkit-providers/test.sh \
		debian/tmp/usr/share/libcontextsubscriber-tests/update-contextkit-providers
	mkdir -p debian/tmp/usr/share/libcontextsubscriber-tests/forward-compatible
	cp -rf  libcontextsubscriber/customer-tests/forward-compatible/cache1.cdb \
		libcontextsubscriber/customer-tests/forward-compatible/cache2.cdb \
		libcontextsubscriber/customer-tests/forward-compatible/test.sh \
		debian/tmp/usr/share/libcontextsubscriber-tests/forward-compatible
	chown -R root:root debian/tmp/usr/share/libcontextsubscriber-tests

	# propertymonitor-tests
	mkdir -p debian/tmp/usr/share/propertymonitor-tests
	cp -f libcontextsubscriber/customer-tests/waitforsilence \
		debian/tmp/usr/share/propertymonitor-tests
	cp libcontextsubscriber/propertymonitor/has_value.py debian/tmp/usr/share/propertymonitor-tests
	cp libcontextsubscriber/propertymonitor/has_provider.py debian/tmp/usr/share/propertymonitor-tests
	cp libcontextsubscriber/propertymonitor/tests.xml debian/tmp/usr/share/propertymonitor-tests
	chown -R root:root debian/tmp/usr/share/propertymonitor-tests

	# set the executable flag on to all files that have a shebang line
	grep -rl '^#!' debian/tmp/usr/share/libcontextsubscriber-tests | xargs chmod +x

	mkdir -p `pwd`/debian/tmp/usr/share/doc/libcontextsubscriber-doc
	rm -rf `pwd`/debian/tmp/usr/share/doc/libcontextsubscriber-doc/html
	cp -a libcontextsubscriber/doc/html `pwd`/debian/tmp/usr/share/doc/libcontextsubscriber-doc
	
	dh_install --sourcedir=`pwd`/debian/tmp/

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_strip -p contextkit-utils
	dh_strip -p libcontextsubscriber-tests
	dh_strip -p libcontextprovider-tests
	dh_strip -p libcontextprovider0 --dbg-package="libcontextprovider0-dbg"
	dh_strip -p libcontextsubscriber0 --dbg-package="libcontextsubscriber0-dbg"
	dh_pycentral -ppython-contextkit
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V -Xcontextsubscribertime  # do not add ldconfig calls because of testplugins
	dh_installdeb -a
	cp `pwd`/debian/libcontextsubscriber0.triggers `pwd`/debian/libcontextsubscriber0/DEBIAN/triggers
	chmod 0644 `pwd`/debian/libcontextsubscriber0/DEBIAN/triggers
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
